Panda3D

Loading...
Searching...
No Matches
Functions | Variables
direct.dist.FreezeTool Namespace Reference

## Functions
| pytest_imports ()

## Variables
int | _C_BUILTIN = 6
int | _C_EXTENSION = 3
int | _PKG_DIRECTORY = 5
| _PKG_NAMESPACE_DIRECTORY = object()
int | _PY_COMPILED = 2
int | _PY_FROZEN = 7
int | _PY_SOURCE = 1
dict | builtinInitFuncs
dict | hiddenImports
dict | ignoreImports
tuple | isDebugBuild = (python.lower().endswith('_d'))
| p3extend_frozen = None
| python = os.path.splitext(os.path.split(sys.executable)[1])[0]
list | startupModules

## Detailed Description

     This module contains code to freeze a number of Python modules
    into a single (mostly) standalone DLL or EXE.

## Function Documentation

## ◆ pytest_imports()

pytest_imports | ( |  | ) |

## Variable Documentation

## ◆ _C_BUILTIN

int _C_BUILTIN = 6
| protected

## ◆ _C_EXTENSION

int _C_EXTENSION = 3
| protected

## ◆ _PKG_DIRECTORY

int _PKG_DIRECTORY = 5
| protected

## ◆ _PKG_NAMESPACE_DIRECTORY

_PKG_NAMESPACE_DIRECTORY = object()
| protected

## ◆ _PY_COMPILED

int _PY_COMPILED = 2
| protected

## ◆ _PY_FROZEN

int _PY_FROZEN = 7
| protected

## ◆ _PY_SOURCE

int _PY_SOURCE = 1
| protected

## ◆ builtinInitFuncs

dict builtinInitFuncs

Initial value:
1= {
2 'builtins': None,
3 '__builtin__': None,
4 'sys': None,
5 'exceptions': None,
6 '_warnings': '_PyWarnings_Init',
7 'marshal': 'PyMarshal_Init',
8}

## ◆ hiddenImports

dict hiddenImports

Initial value:
1= {
2 'pytest': pytest_imports(),
3 'pkg_resources': [
4 'pkg_resources.*.*',
5 ],
6 'xml.etree.cElementTree': ['xml.etree.ElementTree'],
7 'datetime': ['_strptime'],
8 'keyring.backends': ['keyring.backends.*'],
9 'matplotlib.font_manager': ['encodings.mac_roman'],
10 'direct.particles': ['direct.particles.ParticleManagerGlobal'],
11 'numpy.core._multiarray_umath': [
12 'numpy.core._internal',
13 'numpy.core._dtype_ctypes',
14 'numpy.core._methods',
15 ],
16 'pandas.compat': ['lzma', 'cmath'],
17 'pandas._libs.tslibs.conversion': ['pandas._libs.tslibs.base'],
18 'scipy.linalg': ['scipy.linalg.cython_blas', 'scipy.linalg.cython_lapack'],
19 'scipy.sparse.csgraph': ['scipy.sparse.csgraph._validation'],
20 'scipy.spatial.qhull': ['scipy._lib.messagestream'],
21 'scipy.spatial._qhull': ['scipy._lib.messagestream'],
22 'scipy.spatial.transform.rotation': ['scipy.spatial.transform._rotation_groups'],
23 'scipy.spatial.transform._rotation': ['scipy.spatial.transform._rotation_groups'],
24 'scipy.special._ufuncs': ['scipy.special._ufuncs_cxx'],
25 'scipy.stats._stats': ['scipy.special.cython_special'],
26 'setuptools.monkey': ['setuptools.msvc'],
27 'shapely._geometry_helpers': ['shapely._geos'],
28 'jnius': ['jnius_config'],
29}

## ◆ ignoreImports

dict ignoreImports

Initial value:
1= {
2 'direct.showbase.PythonUtil': ['pstats', 'profile'],
3
4 'toml.encoder': ['numpy'],
5}

## ◆ isDebugBuild

tuple isDebugBuild = (python.lower().endswith('_d'))

## ◆ p3extend_frozen

p3extend_frozen = None

## ◆ python

python = os.path.splitext(os.path.split(sys.executable)[1])[0]

## ◆ startupModules

list startupModules

Initial value:
1= [
2 'encodings', 'encodings.*',
3]